## org.biojava.bio.program.ssaha
Class HitMerger

    java.lang.Object
      org.biojava.bio.program.ssaha.HitMerger

All Implemented Interfaces:
  SearchListener

public class HitMerger
extends java.lang.Object
implements SearchListener

A listener that merges overlapping hits and culls all hits under a given length.

Author:
  Matthew Pocock

Constructor Summary
`HitMerger(SearchListener delegate, int minLength)` Build a new HitMerger that will pass events on to a delegate.

Method Summary
`void` `endSearch(java.lang.String seqID)` Indicates that a sequence has been searched against a DataStore.
`void` `hit(int hitID, int queryOffset, int hitOffset, int hitLength)` There has been a hit between the query sequence and a database sequence.
`void` `startSearch(java.lang.String seqID)` Indicates that a sequence is about to be searched against a DataStore.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HitMerger

    public HitMerger(SearchListener delegate,
                     int minLength)

  Build a new HitMerger that will pass events on to a delegate.

Parameters:
  `delegate` - the SearchListener to inform of all merged and filtered hits
  `minLength` - the minimum length a hit must reach to be passed on

Method Detail

### startSearch

    public void startSearch(java.lang.String seqID)

  Description copied from interface: `SearchListener`
  Indicates that a sequence is about to be searched against a DataStore.

  Specified by:
    `startSearch` in interface `SearchListener`
  Parameters:
    `seqID` - the id of the sequence to be searched

### hit

    public void hit(int hitID,
                    int queryOffset,
                    int hitOffset,
                    int hitLength)

  Description copied from interface: `SearchListener`
  There has been a hit between the query sequence and a database sequence.

  Specified by:
    `hit` in interface `SearchListener`
  Parameters:
    `hitID` - the number of the sequence hit; resolvable by String id = DataStore.seqNameForID(hitID)
    `queryOffset` - the offset into the query sequence
    `hitOffset` - the offset into the sequence hit in the database
    `hitLength` - the number of symbols hit

### endSearch

    public void endSearch(java.lang.String seqID)

  Description copied from interface: `SearchListener`
  Indicates that a sequence has been searched against a DataStore.

  Specified by:
    `endSearch` in interface `SearchListener`
  Parameters:
    `seqID` - the id of the sequence to be searched